Name:           tiger
Version:        3.2.1
Release:        8%{?dist}
Summary:        Security auditing on UNIX systems

Group:          Applications/System
License:        GPL+
URL:            http://www.nongnu.org/tiger/
Source0:        http://savannah.nongnu.org/download/tiger/tiger-3.2.1.tar.gz
Source1:        http://savannah.nongnu.org/download/tiger/tiger-3.2.1.tar.gz.sig
Source2:        tiger.cron
Source3:        tiger.ignore
Source4:        tiger.ignore.server
Source5:        tiger.README
Patch0:         tiger-3.2.1-autotools.patch
# Default configuration
Patch1:         tiger-3.2.1-config.patch
# Mainly typos
Patch2:         tiger-3.2.1-doc.patch
# Fixes in the checking scripts and additional scripts
Patch3:         tiger-3.2.1-scripts.patch
# Various fixes
Patch4:         tiger-3.2.1-fixes.patch
# Fix for one small C program
Patch5:         tiger-3.2.1-gcc4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, recode
Requires:       bash, vixie-cron

%description
TIGER, or the "tiger" scripts, is a set of Bourne shell scripts,
C programs and data files which are used to perform a security audit
of UNIX systems.  It is designed to hopefully be easy to use, easy to
understand and easy to enhance.


%prep
%setup -q -n tiger
%patch0 -p1 -b .autotools
%patch1 -p1 -b .config
# No backup, or the files will be copied in the buildroot
#%patch2 -p1 -b .doc 
#%patch3 -p1 -b .scripts
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .fixes
%patch5 -p1 -b .gcc4
find . -name "*.rpmorig" | xargs rm -f
find . -name "*.orig" | xargs rm -f
find . -name "*.old" | xargs rm -f
recode ISO-8859-1..UTF-8 man/tiger.8.in
install -p -m 644 %{SOURCE5} README.Fedora
# Remove CVS dirs
find . -type d -name CVS | xargs rm -rf


%build
autoconf
%configure  \
    --with-tigerhome=%{_libdir}/tiger \
    --with-tigerwork=%{_localstatedir}/run/tiger/work \
    --with-tigerlog=%{_localstatedir}/log/tiger \
    --with-tigerbin=%{_sbindir} \
    --with-tigerconfig=%{_sysconfdir}/tiger

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tiger/templates
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/tiger
install -p -m 600 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/tiger/tiger.ignore
install -p -m 644 version.h $RPM_BUILD_ROOT%{_libdir}/tiger
for system in AIX HPUX IRIX NeXT SunOS UNICOS UNICOSMK Tru64 MacOSX; do
  rm -rf $RPM_BUILD_ROOT%{_libdir}/tiger/systems/${system};
done

ln -s %{_sbindir}/tigexp $RPM_BUILD_ROOT%{_libdir}/tiger/tigexp

mkdir examples
cp -p cronrc tigerrc tigerrc-all tigerrc-dist tigerrc-TAMU \
      site-sample site-saturn %{SOURCE4} examples
chmod 644 examples/*

# Perm fixes
chmod +x $RPM_BUILD_ROOT%{_libdir}/tiger/systems/Linux/2/check_*

# Documentation (in %%doc)
rm -rf $RPM_BUILD_ROOT%{_libdir}/tiger/html


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc USING BUGS.EXTERN DESCRIPTION CREDITS README README.1st README.hostids 
%doc README.ignore README.linux README.signatures README.sources
%doc README.time README.unsupported README.writemodules TODO README.Fedora
%doc COPYING examples html
%{_mandir}/man*/*
%{_sbindir}/*
%{_libdir}/tiger
%{_localstatedir}/run/tiger
%{_localstatedir}/log/tiger
%config(noreplace) %{_sysconfdir}/tiger
%config %{_sysconfdir}/cron.d/tiger



%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2.1-8
- Autorebuild for GCC 4.3

* Fri Sep 08 2006 Aurelien Bompard <abompard@fedoraproject.org> 3.2.1-6
- rebuild

* Thu Aug 31 2006 Aurelien Bompard <abompard@fedoraproject.org> 3.2.1-5
- rebuild

* Sat May 13 2006 Aurelien Bompard <gauret[AT]free.fr> 3.2.1-4
- include the COPYING file
- put HTML doc in %%doc
- drop useless logos
- fix %%description
- remove CVS dirs in %%prep
- Thanks to Hans de Goede in bug 165311

* Sat Apr 22 2006 Aurelien Bompard <gauret[AT]free.fr> 3.2.1-3
- don't backup some patches, or the files will be copied in the buildroot
- set conf files to noreplace
- fix manpage encoding

* Sun Apr 02 2006 Aurelien Bompard <gauret[AT]free.fr> 3.2.1-2
- fix arguments for "sort" and "tail" in patch3

* Sat Aug 06 2005 Aurelien Bompard <gauret[AT]free.fr> 3.2.1-1
- initial package, importing Debian's fixes
